/* eslint-disable react/prop-types */
import React from 'react'
import PropTypes from 'prop-types'
import { Alert } from 'react-bootstrap'
import InlineSVG from 'svg-inline-react'
import cx from 'classnames'
import './assets/styles/style.scss'

const AlertBox = (props) => {
  const icon = props.customIcon || {
    'success': <InlineSVG src={require('assets/icons/check-valid.svg')} />,
    'warning': <InlineSVG src={require('assets/icons/warning.svg')} />,
    'danger': <InlineSVG src={require('assets/icons/cross.svg')} />,
    'info': <InlineSVG src={require('assets/icons/info.svg')} />,
    'primary': <InlineSVG src={require('assets/icons/info.svg')} />,
    'default': <InlineSVG src={require('assets/icons/info.svg')} />
  }[props.className]

  const returnAlert = <div className={cx('mnmAlerts', { 'alertWithIcon': props.icon })}>
    <Alert bsStyle={props.className} onDismiss={props.onDismissFn}>
      {props.icon ? icon : null}
      {props.children}
    </Alert>
  </div>

  return (props.showIf) ? returnAlert : null
}

AlertBox.defaultProps = {
  className: 'default',
  showIf: true,
  icon: false,
  customIcon: 'null',
  onDismissFn: null
}

AlertBox.propTypes = {
  className: PropTypes.string,
  showIf: PropTypes.bool,
  icon: PropTypes.bool,
  customIcon: PropTypes.element,
  onDismissFn: PropTypes.func
}

module.exports = AlertBox
